Page MenuHomePhabricator

In Hovercards, HTML is sometimes showing, e.g. apostrophes are shown as '
Closed, ResolvedPublic

Description

In Hovercards, apostrophes are shown as ' and quotation marks as "
Test with [["Heroes"]] at https://en.wikipedia.org/wiki/Wikipedia:Article_titles#Article_title_format
or with [[Hubble's law]] at https://en.wikipedia.org/wiki/List_of_laws#Astronomy_and_cosmology_laws

However! It's not consistent...
The cards linked from everything here, work properly: https://en.wikipedia.org/wiki/Don%27t
I haven't deduced a pattern...? (but also sleepy)

Event Timeline

Quiddity created this task.Mar 24 2015, 6:48 AM
Quiddity assigned this task to Prtksxna.
Quiddity raised the priority of this task from to High.
Quiddity updated the task description. (Show Details)
Quiddity added a project: Page-Previews.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 6:48 AM

This is happening on the Astronomy page and not on the Don't page because in the Astronomy page the article titles can be bolded in the excerpt. It happening because in article.getProcessedElements we mw.html.escape( title ).

Change 199840 had a related patch set uploaded (by Prtksxna):
renderer.article: Use .html() instead of .text() in getProcessesElements

https://gerrit.wikimedia.org/r/199840

MC8 added a subscriber: MC8.Mar 26 2015, 12:52 PM

Change 199840 merged by jenkins-bot:
renderer.article.getProcessedElements: Stop escaping the title and the extract

https://gerrit.wikimedia.org/r/199840

TheDJ closed this task as Resolved.Mar 29 2015, 5:00 PM
TheDJ moved this task from Backlog to Done on the Page-Previews board.
TheDJ removed a project: Patch-For-Review.
TheDJ set Security to None.